Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class InstancePropertyUtilities

    java.lang.Object
      oracle.ifs.core.util.InstancePropertyUtilities

    public class InstancePropertyUtilities

extends java.lang.Object

A InstancePropertyUtilities is a set of static utility convenience methods for getting Instance properties, typically from the IFS Domain Property bundle or from the underlying Credential manager.

Constructor Summary
`InstancePropertyUtilities()`

Method Summary
`static boolean` | `getBooleanDomainProperty(LibrarySession session, java.lang.String propKey)` Gets the value of a boolean domain property.
`static boolean` | `getBooleanDomainProperty(LibrarySession session, java.lang.String propKey, boolean defValue)` Gets the value of a boolean domain property.
`static java.lang.String` | `getBpelWorklistUrl(LibrarySession session)` Gets the BPEL Worklist URL for this instance.
`static long` | `getDavNullResourceLockExpirationPeriod(LibrarySession session)` Gets the DAV Null resource Lock timeout period in seconds.
`static java.lang.String[]` | `getDavUserAgents(LibrarySession session)` Gets the set of user agents for DAV.
`static java.util.TimeZone` | `getDefaultTimeZone(LibrarySession session)` Gets the default TimeZone.
`static long` | `getDocumentDefinitionObjectExpirationPeriod(LibrarySession session)` Gets the Document Definition object expiration period in milliseconds.
`static java.lang.String` | `getFdkConfigurationClass(LibrarySession session)` Gets the BPEL Worklist URL for this instance.
`static long` | `getGlobalAuditEventExpirationPeriod(LibrarySession session)` Gets the global audit event expiration period (in seconds).
`static AuditTypeList` | `getGlobalAuditTypeList(LibrarySession session)` Gets the AuditTypeList that defines the events saved into the global audit history.
`static OperationActionSpecification[]` | `getGlobalOperationActionSpecifications(LibrarySession session)` Gets the global OperationActionSpecifications
`static PropertyBundle` | `getIdmCredentialManagerProperty(LibrarySession session)` Gets the Idm CredentialManager domain property
`static int` | `getIntegerDomainProperty(LibrarySession session, java.lang.String propKey, int defValue)` Gets the value of an integer domain property.
`static long` | `getLongDomainProperty(LibrarySession session, java.lang.String propKey, long defValue)` Gets the value of a long domain property.
`static java.lang.String` | `getProductVersion(LibrarySession session)` Gets the Product version string.
`static PropertyBundle` | `getPropertyBundleDomainProperty(LibrarySession session, java.lang.String propKey)` Gets the value of a PropertyBundle domain property.
`static java.lang.String[]` | `getStringArrayDomainProperty(LibrarySession session, java.lang.String propKey)` Gets the value of a String[] domain property.
`static java.lang.String` | `getStringDomainProperty(LibrarySession session, java.lang.String propKey)` Gets the value of a String domain property.
`static SystemObject` | `getSystemObjectDomainProperty(LibrarySession session, java.lang.String propKey)` Gets the value of a SystemObject domain property.
`static java.lang.String` | `getWorkflowSchemaName(LibrarySession session)` Gets the Workflow schema name with which ECM is integrated.
`static boolean` | `isAutoUserProvisioningEnabled(LibrarySession session)` Gets whether the instance has Auto User Provisioning enabled.
`static boolean` | `isBpelWorkflowCreationEnabled(LibrarySession session)` Gets whether the instance allows the creation of custom BPEL Workflows.
`static boolean` | `isDavCopyMoveThroughFolderLinkAllowed(LibrarySession session)` Gets whether dav allows copy and move ops through folder links.
`static boolean` | `isIdmEnabled(LibrarySession session)` Gets whether the instance is IDM enabled.
`static boolean` | `isLockObjectEnabled(LibrarySession session)` See if LOCKOBJECT is enabled.
`static boolean` | `isSynchronousSecurityRefreshEnabled(LibrarySession session)` Gets whether the instance is enabled to refresh security synchronously.
`static boolean` | `isWebServiceSecureCleartextAuthenticationRequired(LibrarySession session)` Gets whether web service cleartext password authentication requires HTTPS, or is allowed over plain HTTP for this instance.
`static boolean` | `isWorkflowEnabled(LibrarySession session)` Gets whether the instance is Workflow enabled.
`static void` | `setGlobalAuditTypeList(LibrarySession session, AuditTypeList atl)` Gets the AuditTypeList that defines the events saved into the global audit history.
`static void` | `setSystemObjectDomainProperty(LibrarySession session, java.lang.String propKey, SystemObject sysObj)` Sets the value of a SystemObject domain property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstancePropertyUtilities

    public InstancePropertyUtilities()

Method Detail

### getDocumentDefinitionObjectExpirationPeriod

    public static long getDocumentDefinitionObjectExpirationPeriod(LibrarySession session)
                                                            throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the Document Definition object expiration period in milliseconds.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the Document Definition object expiration period in seconds.
  Throws:
    `IfsException` - if the operation fails

### getGlobalAuditEventExpirationPeriod

    public static long getGlobalAuditEventExpirationPeriod(LibrarySession session)
                                                    throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the global audit event expiration period (in seconds).

  Parameters:
    `session` - session context (must not be null)
  Returns:
    global audit event expiration period
  Throws:
    `IfsException` - if the operation fails

### getGlobalAuditTypeList

    public static AuditTypeList getGlobalAuditTypeList(LibrarySession session)
                                                throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the AuditTypeList that defines the events saved into the global audit history.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the global AuditTypeList
  Throws:
    `IfsException` - if the operation fails

### setGlobalAuditTypeList

    public static void setGlobalAuditTypeList(LibrarySession session,
                                              AuditTypeList atl)
                                       throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the AuditTypeList that defines the events saved into the global audit history.

  Parameters:
    `session` - session context (must not be null)
    `atl` - the global AuditTypeList
  Throws:
    `IfsException` - if the operation fails

### getGlobalOperationActionSpecifications

    public static OperationActionSpecification[] getGlobalOperationActionSpecifications(LibrarySession session)
                                                                                 throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the global OperationActionSpecifications

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the global OperationActionSpecifications
  Throws:
    `IfsException` - if the operation fails

### isLockObjectEnabled

    public static boolean isLockObjectEnabled(LibrarySession session)
                                       throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  See if LOCKOBJECT is enabled.

  Parameters:
    `session` - session context
  Returns:
    true if LCOKOBJECT is enabled
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### isSynchronousSecurityRefreshEnabled

    public static boolean isSynchronousSecurityRefreshEnabled(LibrarySession session)
                                                       throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether the instance is enabled to refresh security synchronously.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if the instance is enabled to process security refresh synchronoulsy; false otherwise
  Throws:
    `IfsException` - if the operation fails

### isIdmEnabled

    public static boolean isIdmEnabled(LibrarySession session)
                                throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether the instance is IDM enabled.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if the instance is IDM enabled.
  Throws:
    `IfsException` - if the operation fails

### getIdmCredentialManagerProperty

    public static PropertyBundle getIdmCredentialManagerProperty(LibrarySession session)
                                                          throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the Idm CredentialManager domain property

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the PropertyBundlue value of the Idm Credential Manager domain property
  Throws:
    `IfsException` - if the operation fails

### isAutoUserProvisioningEnabled

    public static boolean isAutoUserProvisioningEnabled(LibrarySession session)
                                                 throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether the instance has Auto User Provisioning enabled.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if instance has Auto User Provisioning enabled
  Throws:
    `IfsException` - if the operation fails

### getDefaultTimeZone

    public static java.util.TimeZone getDefaultTimeZone(LibrarySession session)
                                                 throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the default TimeZone.

  Parameters:
    `session` - session context
  Returns:
    the default TimeZone
  Throws:
    `IfsException` - if the operation fails

### getProductVersion

    public static java.lang.String getProductVersion(LibrarySession session)
                                              throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the Product version string.

  Parameters:
    `session` - the session context
  Returns:
    the Product version string (e.g. "10.1.1.0.2")
  Throws:
    `IfsException` - if the operation fails

### getDavNullResourceLockExpirationPeriod

    public static long getDavNullResourceLockExpirationPeriod(LibrarySession session)
                                                       throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the DAV Null resource Lock timeout period in seconds.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the DAV Null resource Lock timeout period in seconds
  Throws:
    `IfsException` - if the operation fails

### getDavUserAgents

    public static java.lang.String[] getDavUserAgents(LibrarySession session)
                                               throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the set of user agents for DAV.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the user agent names
  Throws:
    `IfsException` - if the operation fails

### isDavCopyMoveThroughFolderLinkAllowed

    public static boolean isDavCopyMoveThroughFolderLinkAllowed(LibrarySession session)
                                                         throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether dav allows copy and move ops through folder links.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if the instance requires HTTPS for cleartext authentication for dav.
  Throws:
    `IfsException` - if the operation fails

### isWebServiceSecureCleartextAuthenticationRequired

    public static boolean isWebServiceSecureCleartextAuthenticationRequired(LibrarySession session)
                                                                     throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether web service cleartext password authentication requires HTTPS, or is allowed over plain HTTP for this instance.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if the instance requires HTTPS for cleartext authentication for web services.
  Throws:
    `IfsException` - if the operation fails

### isWorkflowEnabled

    public static boolean isWorkflowEnabled(LibrarySession session)
                                     throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether the instance is Workflow enabled.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if the instance is Workflow enabled.
  Throws:
    `IfsException` - if the operation fails

### getWorkflowSchemaName

    public static java.lang.String getWorkflowSchemaName(LibrarySession session)
                                                  throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the Workflow schema name with which ECM is integrated.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    Workflow schema name
  Throws:
    `IfsException` - if the operation fails

### isBpelWorkflowCreationEnabled

    public static boolean isBpelWorkflowCreationEnabled(LibrarySession session)
                                                 throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets whether the instance allows the creation of custom BPEL Workflows.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    true if custom BPEL Workflows can be created.
  Throws:
    `IfsException` - if the operation fails

### getBpelWorklistUrl

    public static java.lang.String getBpelWorklistUrl(LibrarySession session)
                                               throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the BPEL Worklist URL for this instance.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the BPEL Worklist URL.
  Throws:
    `IfsException` - if the operation fails

### getFdkConfigurationClass

    public static java.lang.String getFdkConfigurationClass(LibrarySession session)
                                                     throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the BPEL Worklist URL for this instance.

  Parameters:
    `session` - session context (must not be null)
  Returns:
    the BPEL Worklist URL.
  Throws:
    `IfsException` - if the operation fails

### getBooleanDomainProperty

    public static boolean getBooleanDomainProperty(LibrarySession session,
                                                   java.lang.String propKey)
                                            throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a boolean domain property.

  Defaults to false if the property doesn't exist or is null.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
  Returns:
    the property boolean value
  Throws:
    `IfsException` - if the operation fails

### getBooleanDomainProperty

    public static boolean getBooleanDomainProperty(LibrarySession session,
                                                   java.lang.String propKey,
                                                   boolean defValue)
                                            throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a boolean domain property.

  Defaults to false if the property doesn't exist or is null.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
    `defValue` - the default value to use if property is undefined
  Returns:
    the property boolean value
  Throws:
    `IfsException` - if the operation fails

### getIntegerDomainProperty

    public static int getIntegerDomainProperty(LibrarySession session,
                                               java.lang.String propKey,
                                               int defValue)
                                        throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of an integer domain property.

  Defaults to the specified value if the property doesn't exist or is null.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
    `defValue` - the default value to use if property is undefined
  Returns:
    the property boolean value
  Throws:
    `IfsException` - if the operation fails

### getLongDomainProperty

    public static long getLongDomainProperty(LibrarySession session,
                                             java.lang.String propKey,
                                             long defValue)
                                      throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a long domain property.

  Defaults to the specified value if the property doesn't exist or is null.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
    `defValue` - the default value to use if property is undefined
  Returns:
    the property boolean value
  Throws:
    `IfsException` - if the operation fails

### getStringDomainProperty

    public static java.lang.String getStringDomainProperty(LibrarySession session,
                                                           java.lang.String propKey)
                                                    throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a String domain property.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
  Returns:
    the property String value, null if it doesn't exist
  Throws:
    `IfsException` - if the operation fails

### getStringArrayDomainProperty

    public static java.lang.String[] getStringArrayDomainProperty(LibrarySession session,
                                                                  java.lang.String propKey)
                                                           throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a String[] domain property.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
  Returns:
    the property String[] value, null if it doesn't exist
  Throws:
    `IfsException` - if the operation fails

### getPropertyBundleDomainProperty

    public static PropertyBundle getPropertyBundleDomainProperty(LibrarySession session,
                                                                 java.lang.String propKey)
                                                          throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a PropertyBundle domain property.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
  Returns:
    the property String[] value, null if it doesn't exist
  Throws:
    `IfsException` - if the operation fails

### getSystemObjectDomainProperty

    public static SystemObject getSystemObjectDomainProperty(LibrarySession session,
                                                             java.lang.String propKey)
                                                      throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Gets the value of a SystemObject domain property.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
  Returns:
    the property SystemObject value, null if it doesn't exist
  Throws:
    `IfsException` - if the operation fails

### setSystemObjectDomainProperty

    public static void setSystemObjectDomainProperty(LibrarySession session,
                                                     java.lang.String propKey,
                                                     SystemObject sysObj)
                                              throws IfsException

  Description copied from class: `InstancePropertyUtilities`
  Sets the value of a SystemObject domain property.

  Parameters:
    `session` - the session context (must not be null)
    `propKey` - the property key
    `sysObj` - the SystemObject
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD